Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.ad
Interface AdConflictResolver

All Superinterfaces
  javax.ejb.EJBObject, Remote

    public interface AdConflictResolver

extends javax.ejb.EJBObject

This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Method Summary
`AdInfo` | `pickAd(AdInfo[] ads)` Resolve which ad query to display.
`Node` | `pickAd(Node[] ads)` Deprecated
`RenderableContent` | `pickAd(RenderableContent[] ads)` Resolve which ad query to display.

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### pickAd

    AdInfo pickAd(AdInfo[] ads)
                  throws RemoteException

  Resolve which ad query to display.

  Parameters
    `ads` - An array of AdInfo objects that are valid
  Returns
    the AdInfo that has the "highest priority" from the ads array.
  Throws
    `RemoteException`

### pickAd

    Node pickAd(Node[] ads)
                throws RemoteException

  Deprecated

  Resolve which ad query to display.

  Parameters
    `ads` - An array of AdInfo objects that are valid
  Returns
    the AdInfo that has the "highest priority" from the ads array.
  Throws
    `RemoteException`

### pickAd

    RenderableContent pickAd(RenderableContent[] ads)
                             throws RemoteException

  Resolve which ad query to display.

  Parameters
    `ads` - An array of AdInfo objects that are valid
  Returns
    the AdInfo that has the "highest priority" from the ads array.
  Throws
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.